AI Agents > LLM Providers

The following endpoints allow you to inspect supported AI Providers connections and retrieve the list of supported models. These endpoints are available in open beta to all users. As beta endpoints, both functionality and availability may change.

List LLM Providers

get
/ai-agents/v1/llm-providers

Retrieve a list of all LLM providers

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Query parameters
teamIdnumberRequired
Responses
chevron-right
200

LLM providers listed successfully

application/json
get
/ai-agents/v1/llm-providers
200

LLM providers listed successfully

Get LLM Provider

get
/ai-agents/v1/llm-providers/{providerId}

Retrieve details of a specific LLM provider by ID

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
providerIdnumberRequired
Query parameters
teamIdnumberRequired
Responses
chevron-right
200

LLM provider details retrieved successfully

application/json
get
/ai-agents/v1/llm-providers/{providerId}
200

LLM provider details retrieved successfully

List Models for LLM Provider

get
/ai-agents/v1/llm-providers/{providerId}/models

Retrieve a list of models for a specific LLM provider by ID

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
providerIdnumberRequired
Query parameters
teamIdnumberRequired
Responses
chevron-right
200

List of models for the LLM provider retrieved successfully

application/json
get
/ai-agents/v1/llm-providers/{providerId}/models
200

List of models for the LLM provider retrieved successfully

Last updated